Doomsday Engine - Bug #671

[Heretic] Enemy missile spreads have incorrect vertical aim
2009-04-14 16:28 - vermil

Status: New Start date: 2009-04-14
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Modding

Description

In Heretic in Beta6.1, the non-centre missiles for all bad guy missile spread attacks are being launched at slightly the wrong angle if
the player is above or below the missiles spawn height.

If the player is above, the non-centre missiles are aimed slightly too low and if the player is below, they are aimed slightly too high.
The centre missile is aimed correctly.

The Heretic bad guys with missile spread attacks are the Disciple, Maulotaur and D'sparil's serpent (once he takes enough damage
in the case of the later).

Similar attacks in JDoom and JHeXen appear to be unaffected.

Labels: Heretic

History

#1 - 2009-05-07 10:37 - danij

This due to the different handling of the Z momentum between P_SpawnMissile and P_SpawnMissleAngle. The former does a more accurate, three
dimensional calculation, the latter uses a different method.

#2 - 2012-03-02 13:29 - vermil
Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/6c537575/7ce2/attachment/heretic-ext-000.jpg

#3 - 2012-03-02 13:30 - vermil

From a game play perspective, this issue has become bigger since | posted it; it now also effects missile spreads on the horizontal plane.

| attach an example with D'sparil's Serpent showing what | mean; all three missiles should be in a line.

#4 - 2012-08-27 20:31 - danij

- labels: jHeretic Gameplay --> Heretic
- milestone: -->v1.8.5

#5 - 2013-07-17 04:46 - skyjake
- Priority: 4 --> 6

#6 - 2013-07-17 04:49 - skyjake
Perhaps similar to bug #1115?

#7 - 2013-10-22 18:50 - skyjake
- Tags set to PlaySim, Physics, Heretic
- Category set to Vanilla emulation

- Target version deleted (1.8.6)

#8 - 2017-04-03 14:57 - skyjake

- Target version set to Modding
